MyGUI: MyGUI::PluginManager Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::PluginManager Class Reference

Plugin manager. Load/unload and register plugins. More...

`#include <MyGUI_PluginManager.h>`

Inheritance diagram for MyGUI::PluginManager:
[legend]

## Public Member Functions
| PluginManager ()
void | initialise ()
void | shutdown ()
bool | loadPlugin (const std::string &_file)
| Load plugin. More...
void | unloadPlugin (const std::string &_file)
| Unload plugin. More...
void | installPlugin (IPlugin *_plugin)
void | uninstallPlugin (IPlugin *_plugin)
void | unloadAllPlugins ()
| Unload all plugins. More...
Public Member Functions inherited from MyGUI::Singleton< PluginManager >
| Singleton ()
virtual | ~Singleton ()
Public Member Functions inherited from MyGUI::MemberObsolete< PluginManager >
bool | load (const std::string &_file)

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< PluginManager >
typedef Singleton< PluginManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< PluginManager >
static PluginManager & | getInstance ()
static PluginManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Plugin manager. Load/unload and register plugins.

Definition at line 24 of file MyGUI_PluginManager.h.

## Constructor & Destructor Documentation

## ◆ PluginManager()

MyGUI::PluginManager::PluginManager | ( |  | ) |

Definition at line 21 of file MyGUI_PluginManager.cpp.

## Member Function Documentation

## ◆ initialise()

void MyGUI::PluginManager::initialise | ( |  | ) |

Definition at line 27 of file MyGUI_PluginManager.cpp.

## ◆ installPlugin()

void MyGUI::PluginManager::installPlugin | ( | IPlugin * | _plugin | ) |

Install plugin

Remarks
  Calls from plugin

Definition at line 132 of file MyGUI_PluginManager.cpp.

## ◆ loadPlugin()

bool MyGUI::PluginManager::loadPlugin | ( | const std::string & | _file | ) |

Load plugin.

Definition at line 50 of file MyGUI_PluginManager.cpp.

## ◆ shutdown()

void MyGUI::PluginManager::shutdown | ( |  | ) |

Definition at line 38 of file MyGUI_PluginManager.cpp.

## ◆ uninstallPlugin()

void MyGUI::PluginManager::uninstallPlugin | ( | IPlugin * | _plugin | ) |

Uninstall plugin

Remarks
  Calls from plugin

Definition at line 146 of file MyGUI_PluginManager.cpp.

## ◆ unloadAllPlugins()

void MyGUI::PluginManager::unloadAllPlugins | ( |  | ) |

Unload all plugins.

Definition at line 161 of file MyGUI_PluginManager.cpp.

## ◆ unloadPlugin()

void MyGUI::PluginManager::unloadPlugin | ( | const std::string & | _file | ) |

Unload plugin.

Definition at line 79 of file MyGUI_PluginManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_PluginManager.h
- MyGUI_PluginManager.cpp